Package org.eclipse.emf.cdo.security.impl

# Class RealmImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl
org.eclipse.emf.internal.cdo.CDOObjectImpl
org.eclipse.emf.cdo.etypes.impl.ModelElementImpl
org.eclipse.emf.cdo.security.impl.SecurityElementImpl
org.eclipse.emf.cdo.security.impl.RealmImpl

All Implemented Interfaces:
  `CDOObject`, `CDOWithID`, `CDOPackageTypeRegistry.CDOObjectMarker`, `ModelElement`, `Realm`, `SecurityElement`, `SecurityItemContainer`, `SecurityItemProvider`, `Notifier`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`, `InternalCDOLoadable`, `InternalCDOObject`

public class RealmImpl extends SecurityElementImpl implements Realm
An implementation of the model object 'Realm'.

The following features are implemented:

- `Items`
- `All Users`
- `All Groups`
- `All Roles`
- `All Permissions`
- `Name`
- `Default Access`
- `Default User Directory`
- `Default Group Directory`
- `Default Role Directory`

Generated

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RealmImpl()`

## Method Summary

Modifier and Type
Method
Description
`Group`
`addGroup(String id)`
`Role`
`addRole(String id)`
`User`
`addUser(String id)`
`User`
`addUser(String id, String password)`
`protected User`
`addUser(User user)`
`User`
`addUser(org.eclipse.net4j.util.security.IPasswordCredentials credentials)`
`protected EClass`
`eStaticClass()`
`EList<Group>`
`getAllGroups()`
`EList<Permission>`
`getAllPermissions()`
`EList<Role>`
`getAllRoles()`
`EList<User>`
`getAllUsers()`
`Access`
`getDefaultAccess()`
`Directory`
`getDefaultGroupDirectory()`
`Directory`
`getDefaultRoleDirectory()`
`Directory`
`getDefaultUserDirectory()`
`Group`
`getGroup(String id)`
`protected EList<SecurityItem>`
`getGroupItems()`
`EList<SecurityItem>`
`getItems()`
`String`
`getName()`
`Realm`
`getRealm()`
`Role`
`getRole(String id)`
`protected EList<SecurityItem>`
`getRoleItems()`
`User`
`getUser(String id)`
`protected EList<SecurityItem>`
`getUserItems()`
`Group`
`removeGroup(String id)`
`Role`
`removeRole(String id)`
`User`
`removeUser(String id)`
`void`
`setDefaultAccess(Access newDefaultAccess)`
`void`
`setDefaultGroupDirectory(Directory newDefaultGroupDirectory)`
`void`
`setDefaultRoleDirectory(Directory newDefaultRoleDirectory)`
`void`
`setDefaultUserDirectory(Directory newDefaultUserDirectory)`
`void`
`setName(String newName)`
`User`
`setPassword(String id, String password)`

### Methods inherited from class org.eclipse.emf.cdo.security.impl.SecurityElementImpl

`eInvoke`

### Methods inherited from class org.eclipse.emf.cdo.etypes.impl.ModelElementImpl

`eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eStaticFeatureCount, eUnset, getAnnotation, getAnnotations`

### Methods inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl

`cdoClassInfo, cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInternalDynamicFeature, cdoInternalInstance, cdoInternalPostAttach, cdoInternalPostDetach, cdoInternalPostDetach, cdoInternalPostInvalidate, cdoInternalPostLoad, cdoInternalPostRollback, cdoInternalPreAttach, cdoInternalPreCommit, cdoInternalPreLoad, cdoInternalSetID, cdoInternalSetResource, cdoInternalSetRevision, cdoInternalSetState, cdoInternalSetView, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption, createFeatureMap, createList, createLock, createMap, createOrderedList, createUnorderedList, dynamicGet, dynamicSet, dynamicUnset, eAdapterAdded, eAdapterRemoved, eAdapters, eBasicAdapterListeners, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainer, eBasicSetSettings, eBasicSettings, eClass, eContainerAdapterArray, eContainerFeatureID, eDirectResource, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicIsSet, eHasSettings, eInternalContainer, eInternalResource, eIsCaching, emfToString, equals, eSetClass, eSetDirectResource, eSetResource, eSettings, eStore, getLockState, hashCode, instanceToRevisionFeature, revisionToInstanceFeature, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl

`eBasicContainerFeatureID, eBasicInternalContainer, eDerivedStructuralFeatureID`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eContents, eCrossReferences, eDeliver, eIsProxy, eProperties, eProxyURI, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticOperationCount, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoState, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eBaseStructuralFeatureID, eBasicRemoveFromContainer, eDerivedOperationID, eDerivedStructuralFeatureID, eGet, eInverseAdd, eInverseRemove, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSetProxyURI, eSetStore, eSetting, eURIFragmentSegment`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Constructor Details

### RealmImpl

protected RealmImpl()

Generated

## Method Details

### eStaticClass

protected EClass eStaticClass()

Overrides:
  `eStaticClass` in class `SecurityElementImpl`
Generated

### getItems

public EList<SecurityItem> getItems()

Specified by:
  `getItems` in interface `Realm`
Returns:
  the value of the 'Items' containment reference list.
See Also:
  - `SecurityPackage.getRealm_Items()`
Generated

### getAllUsers

public EList<User> getAllUsers()

Specified by:
  `getAllUsers` in interface `Realm`
Returns:
  the value of the 'All Users' reference list.
See Also:
  - `SecurityPackage.getRealm_AllUsers()`
Generated
  NOT

### getAllGroups

public EList<Group> getAllGroups()

Specified by:
  `getAllGroups` in interface `Realm`
Returns:
  the value of the 'All Groups' reference list.
See Also:
  - `SecurityPackage.getRealm_AllGroups()`
Generated
  NOT

### getAllRoles

public EList<Role> getAllRoles()

Specified by:
  `getAllRoles` in interface `Realm`
Returns:
  the value of the 'All Roles' reference list.
See Also:
  - `SecurityPackage.getRealm_AllRoles()`
Generated
  NOT

### getAllPermissions

public EList<Permission> getAllPermissions()

Specified by:
  `getAllPermissions` in interface `Realm`
Returns:
  the value of the 'All Permissions' reference list.
See Also:
  - `SecurityPackage.getRealm_AllPermissions()`
Generated
  NOT

### getName

public String getName()

Specified by:
  `getName` in interface `Realm`
Returns:
  the value of the 'Name' attribute.
See Also:
  - `Realm.setName(String)`
  - `SecurityPackage.getRealm_Name()`
Generated

### setName

public void setName(String newName)

Specified by:
  `setName` in interface `Realm`
Parameters:
  `newName` - the new value of the 'Name' attribute.
See Also:
  - `Realm.getName()`
Generated

### getDefaultAccess

public Access getDefaultAccess()

Specified by:
  `getDefaultAccess` in interface `Realm`
Returns:
  the value of the 'Default Access' attribute.
See Also:
  - `Realm.setDefaultAccess(Access)`
  - `SecurityPackage.getRealm_DefaultAccess()`
Generated

### setDefaultAccess

public void setDefaultAccess(Access newDefaultAccess)

Specified by:
  `setDefaultAccess` in interface `Realm`
Parameters:
  `newDefaultAccess` - the new value of the 'Default Access' attribute.
See Also:
  - `Realm.getDefaultAccess()`
Generated

### getDefaultUserDirectory

public Directory getDefaultUserDirectory()

Specified by:
  `getDefaultUserDirectory` in interface `Realm`
Returns:
  the value of the 'Default User Directory' reference.
Since:
  4.2
See Also:
  - `Realm.setDefaultUserDirectory(Directory)`
  - `SecurityPackage.getRealm_DefaultUserDirectory()`
Generated

### setDefaultUserDirectory

public void setDefaultUserDirectory(Directory newDefaultUserDirectory)

Specified by:
  `setDefaultUserDirectory` in interface `Realm`
Parameters:
  `newDefaultUserDirectory` - the new value of the 'Default User Directory' reference.
Since:
  4.2
See Also:
  - `Realm.getDefaultUserDirectory()`
Generated

### getDefaultGroupDirectory

public Directory getDefaultGroupDirectory()

Specified by:
  `getDefaultGroupDirectory` in interface `Realm`
Returns:
  the value of the 'Default Group Directory' reference.
Since:
  4.2
See Also:
  - `Realm.setDefaultGroupDirectory(Directory)`
  - `SecurityPackage.getRealm_DefaultGroupDirectory()`
Generated

### setDefaultGroupDirectory

public void setDefaultGroupDirectory(Directory newDefaultGroupDirectory)

Specified by:
  `setDefaultGroupDirectory` in interface `Realm`
Parameters:
  `newDefaultGroupDirectory` - the new value of the 'Default Group Directory' reference.
Since:
  4.2
See Also:
  - `Realm.getDefaultGroupDirectory()`
Generated

### getDefaultRoleDirectory

public Directory getDefaultRoleDirectory()

Specified by:
  `getDefaultRoleDirectory` in interface `Realm`
Returns:
  the value of the 'Default Role Directory' reference.
Since:
  4.2
See Also:
  - `Realm.setDefaultRoleDirectory(Directory)`
  - `SecurityPackage.getRealm_DefaultRoleDirectory()`
Generated

### setDefaultRoleDirectory

public void setDefaultRoleDirectory(Directory newDefaultRoleDirectory)

Specified by:
  `setDefaultRoleDirectory` in interface `Realm`
Parameters:
  `newDefaultRoleDirectory` - the new value of the 'Default Role Directory' reference.
Since:
  4.2
See Also:
  - `Realm.getDefaultRoleDirectory()`
Generated

### getRole

public Role getRole(String id)

Specified by:
  `getRole` in interface `SecurityItemProvider`
Since:
  4.2

### getGroup

public Group getGroup(String id)

Specified by:
  `getGroup` in interface `SecurityItemProvider`
Since:
  4.2

### getUser

public User getUser(String id)

Specified by:
  `getUser` in interface `SecurityItemProvider`
Since:
  4.2

### getRoleItems

protected EList<SecurityItem> getRoleItems()

Since:
  4.2

### getGroupItems

protected EList<SecurityItem> getGroupItems()

Since:
  4.2

### getUserItems

protected EList<SecurityItem> getUserItems()

Since:
  4.2

### addRole

public Role addRole(String id)

Specified by:
  `addRole` in interface `SecurityItemContainer`
Since:
  4.2

### addGroup

public Group addGroup(String id)

Specified by:
  `addGroup` in interface `SecurityItemContainer`
Since:
  4.2

### addUser

public User addUser(String id)

Specified by:
  `addUser` in interface `SecurityItemContainer`
Since:
  4.2

### addUser

public User addUser(String id, String password)

Specified by:
  `addUser` in interface `SecurityItemContainer`
Since:
  4.2

### addUser

public User addUser(org.eclipse.net4j.util.security.IPasswordCredentials credentials)

Specified by:
  `addUser` in interface `SecurityItemContainer`
Since:
  4.3

### addUser

protected User addUser(User user)

Since:
  4.2

### setPassword

public User setPassword(String id, String password)

Specified by:
  `setPassword` in interface `SecurityItemContainer`
Since:
  4.3

### removeRole

public Role removeRole(String id)

Specified by:
  `removeRole` in interface `SecurityItemContainer`
Since:
  4.2

### removeGroup

public Group removeGroup(String id)

Specified by:
  `removeGroup` in interface `SecurityItemContainer`
Since:
  4.2

### removeUser

public User removeUser(String id)

Specified by:
  `removeUser` in interface `SecurityItemContainer`
Since:
  4.2

### getRealm

public Realm getRealm()
Description copied from class: `SecurityElementImpl`

Specified by:
  `getRealm` in interface `SecurityElement`
Overrides:
  `getRealm` in class `SecurityElementImpl`